=== debian/changelog ===
xulrunner (24.8.1esr-2~deb7u1) stable-security; urgency=medium

  * debian/control*, debian/extra-stuff/Makefile.in,
    debian/installer/Makefile.in, debian/rules, debian/upstream.mk,
    debian/noinstall.in: Only build xulrunner.
  * debian/branding/*, debian/browser.*, debian/debsearch.xml,
    debian/duckduckgo.xml, debian/firefox.in,
    debian/installer/package-manifest.browser, debian/l10n.filter,
    debian/l10n/*, debian/source/include-binaries, debian/vendor.js.in:
    Removed.
  * debian/patches: Unapplied and removed iceweasel-specific patches.

 -- Mike Hommey <glandium@debian.org>  Sat, 25 Oct 2014 15:08:25 +0900

iceweasel (24.8.1esr-1~deb7u1) stable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-73, also known as CVE-2014-1568.

 -- Mike Hommey <glandium@debian.org>  Thu, 25 Sep 2014 07:30:41 +0900

iceweasel (24.8.0esr-1~deb7u1) stable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-{67,72}, also known as
    CVE-2014-1562, CVE-2014-1567.

 -- Mike Hommey <glandium@debian.org>  Wed, 03 Sep 2014 12:14:25 +0900

iceweasel (24.7.0esr-1~deb7u1) stable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-{56,61-64}, also known as
    CVE-2014-1547, CVE-2014-1555, CVE-2014-1556, CVE-2014-1544,
    CVE-2014-1557.

 -- Mike Hommey <glandium@debian.org>  Wed, 23 Jul 2014 07:09:08 +0900

iceweasel (24.6.0esr-1~deb7u1) stable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-{48-49,52,55}, also known as
    CVE-2014-1533, CVE-2014-1538, CVE-2014-1541, CVE-2014-1545.

 -- Mike Hommey <glandium@debian.org>  Wed, 11 Jun 2014 07:58:42 +0900

iceweasel (24.5.0esr-1~deb7u1) stable-security; urgency=medium

  * New upstream release.
  * Fixes for mfsa2014-{34,37-38,42-44,46}, also known as
    CVE-2014-1518, CVE-2014-1523, CVE-2014-1524, CVE-2014-1529,
    CVE-2014-1530, CVE-2014-1531, CVE-2014-1532.

  * debian/control.in: Don't depend on nss and nspr dev and dbg packages when
    building with LESS_SYSTEM_LIBS. Closes: #744187.
  * debian/control*, debian/browser.mozconfig, debian/xulrunner.mozconfig.in:
    Disable gstreamer support. Because the ffmpeg gstreamer 0.10 plugin is not
    available in testing/unstable anymore, and gstreamer support is not
    enabled by default anyways.
  * debiab/control*: Build depend on iso-codes.

 -- Mike Hommey <glandium@debian.org>  Tue, 29 Apr 2014 07:10:56 -0700

iceweasel (24.4.0esr-1~deb7u2) stable-security; urgency=low

  * debian/rules: Disable the test suite.

 -- Mike Hommey <glandium@debian.org>  Wed, 19 Mar 2014 16:45:40 +0900

iceweasel (24.4.0esr-1~deb7u1) stable-security; urgency=low

  * New upstream release.
  * Fixes for mfsa2014-{15,17,26-32}, also known as
    CVE-2014-1493, CVE-2014-1497, CVE-2014-1508, CVE-2014-1509,
    CVE-2014-1505, CVE-2014-1510, CVE-2014-1511, CVE-2014-1512,
    CVE-2014-1513, CVE-2014-1514.

  * debian/noinstall.in, debian/xulrunner-dev.install.in: Install
    mozilla-nspr.pc and mozilla-nss.pc when building backports. Closes: #739490.

  * xulrunner/installer/mozilla-ns*.pc.in: Fix includedir in mozilla-nspr.pc
    and mozilla-nss.pc. bz#985200.

 -- Mike Hommey <glandium@debian.org>  Wed, 19 Mar 2014 08:28:20 +0900

iceweasel (24.3.0esr-1~deb7u1) stable-security; urgency=low

  * New upstream release.
  * Fixes for mfsa2014-{01-02,04,08-09,13} also known as
    CVE-2014-1477, CVE-2014-1479, CVE-2014-1482, CVE-2014-1486,
    CVE-2014-1487, CVE-2014-1481.

  * Import patches from the nss source package that are relevant to building
    iceweasel against the in-tree nss source, for backports:
    - security/nss/lib/freebl/unix_rand.c,
      security/nss/cmd/shlibsign/shlibsign.c: Fix FTBFS on Hurd because of
      MAXPATHLEN
    - security/nss/coreconf/Linux.mk,
      security/nss/coreconf/arch.mk, security/nss/coreconf/config.mk,
      security/nss/lib/freebl/unix_rand.c, security/nss/lib/softoken/softoken.h,
      security/nss/lib/ssl/sslmutex.*: GNU/kFreeBSD support.
    - security/nss/lib/ckfw/builtins/certdata.txt: Adds the SPI Inc. and
      CAcert.org CA certificates.
  * debian/copyright, debian/rules: Update copyright info. Closes: #735297.
  * debian/source.filter:
    - Remove build/pgo/blueprint/valid.png from the source archive.
      Closes: #736592
    - Remove minified jquery from source archive. Closes: #736725.
  * debian/control*: Bump nspr and nss build dependencies.
  * debian/rules: Work around build failure following the removal of valid.png.

 -- Mike Hommey <glandium@debian.org>  Thu, 06 Feb 2014 06:50:49 +0900

iceweasel (24.2.0esr-1) unstable; urgency=high

  * New upstream release.
  * Fixes for mfsa2013-{104,108-109,111,113-116}, also known as
    CVE-2013-5609, CVE-2013-5616, CVE-2013-5618, CVE-2013-6671,
    CVE-2013-6673, CVE-2013-5613, CVE-2013-5615, CVE-2013-6629,
    CVE-2013-6630.

  * debian/control*, debian/noinstall.in, debian/rules, debian/upstream.mk,
    debian/xulrunner-GRE_VERSION.install.in, debian/xulrunner.mozconfig:
    Don't build against system nspr, nss and sqlite3 when building backports.
  * debian/control*, debian/xulrunner.mozconfig.in: Build with the in-tree
    cairo. I think it's time to admit that there are too many issues with
    system cairo.
  * debian/rules: Ensure debian/control is updated when running debian/rules
    clean.

  * configure*: Fixup NSPR_CFLAGS when building with libxul-sdk and in-tree
    nspr.

 -- Mike Hommey <glandium@debian.org>  Sun, 15 Dec 2013 15:13:58 +0900

iceweasel (24.1.0esr-1) unstable; urgency=high

  * New upstream release.
  * Fixes for mfsa2013-{93-102}, also known as
    CVE-2013-5590, CVE-2013-5591, CVE-2013-5593, CVE-2013-5604,
    CVE-2013-5595, CVE-2013-5596, CVE-2013-5597, CVE-2013-5598,
    CVE-2013-5599, CVE-2013-5600, CVE-2013-5601, CVE-2013-5602,
    CVE-2013-5603.

  * debian/rules: Don't try to disable methodjit, since it's long gone.

